<form name="customFieldsForm">
	<div class="row btn-sticky" ng-if="ngModel._rights.update && groups.length > 0 && saveRequired()">
		<div class="form-group col-xs-12">
			<button type="button" ng-click="save()" class="btn btn-submit" ng-disabled="loading">
				<i class="fa fa-circle-o-notch fa-spin" ng-if="loading"></i>
				{{'save' | translate}}
			</button>
		</div>
	</div>
	<div class="row" ng-show="group.fields" ng-repeat="group in groups" show-tpl="ngModel.template"
		tpl-field-name="{{group.id}}" tpl-field-type="custom">
		<div class="col-xs-12">
			<fieldset>
				<legend>{{group.name}}</legend>
				<div class="row" ng-repeat="field in group.fields | orderBy: 'order'">
					<div class="col-xs-12" ng-switch="field.type">

						<div class="form-group{{ field.meta.required ? ' required' : '' }}" ng-switch-when="text">
							<label>{{field.name}} <i class="fa fa-info-circle"
									ng-show="field.help != null && field.help != ''"
									tooltip="{{ field.help }}"></i></label>
							<input class="form-control" type="text" ng-model="values[field.id].value" autocomplete="off"
								ng-disabled="!ngModel._rights.update" ng-required="{{ field.meta.required }}"
								ng-attr-placeholder="{{ field.placeholder }}" />
							<field-errors field="value" errors="errors[field.id].fields"></field-errors>
						</div>

						<div class="form-group{{ field.meta.required ? ' required' : '' }}" ng-switch-when="textarea">
							<label>{{field.name}} <i class="fa fa-info-circle"
									ng-show="field.help != null && field.help != ''"
									tooltip="{{ field.help }}"></i></label>
							<text-editor ng-model="values[field.id].value" ng-disabled="!ngModel._rights.update"
								type="simple" ng-required="{{ field.meta.required }}"
								placeholder-if-defined="{{ field.placeholder }}" custom-buttons="[{
                                    name: 'save',
                                    text: translations.save,
                                    showFullScreen: true,
                                    function: save
                                }]">
							</text-editor>
						</div>

						<div class="form-group{{ field.meta.required ? ' required' : '' }}" ng-switch-when="radio">
							<label>{{field.name}} <i class="fa fa-info-circle"
									ng-show="field.help != null && field.help != ''"
									tooltip="{{ field.help }}"></i></label>
							<div ng-repeat="value in field.meta.values">
								<label>
									<input type="radio" value="{{value.v}}" ng-model="values[field.id].value"
										ng-disabled="!ngModel._rights.update" ng-required="{{ field.meta.required }}" />
									{{value.v}}
								</label>
							</div>
							<a ng-click="resetRadio(values[field.id])" class="pointer">{{ 'reset_value' | translate
								}}</a>
							<field-errors field="value" errors="errors[field.id].fields"></field-errors>
						</div>

						<div class="form-group{{ field.meta.required ? ' required' : '' }}" ng-switch-when="select">
							<label>{{field.name}} <i class="fa fa-info-circle"
									ng-show="field.help != null && field.help != ''"
									tooltip="{{ field.help }}"></i></label>
							<select class="form-control" ng-model="values[field.id].value"
								ng-disabled="!ngModel._rights.update" ng-required="{{ field.meta.required }}">
								<option></option>
								<option ng-repeat="value in field.meta.values" value="{{value.v}}"
									ng-selected="values[field.id].value == value.v">{{value.v}}
								</option>
							</select>
							<field-errors field="value" errors="errors[field.id].fields"></field-errors>
						</div>

						<div class="form-group{{ field.meta.required ? ' required' : '' }}" ng-switch-when="checkbox">
							<label>{{field.name}} <i class="fa fa-info-circle"
									ng-show="field.help != null && field.help != ''"
									tooltip="{{ field.help }}"></i></label>
							<div ng-repeat="value in field.meta.values">
								<label>
									<input type="checkbox" value="{{ value.v }}"
										ng-click="toggleCheckbox(value.v, values[field.id])"
										ng-disabled="!ngModel._rights.update"
										ng-checked="values[field.id].value.indexOf(value.v) > -1"
										ng-required="{{ field.meta.required }}">
									{{value.v}}
								</label>
							</div>
							<field-errors field="value" errors="errors[field.id].fields"></field-errors>
						</div>

						<div class="form-group{{ field.meta.required ? ' required' : '' }}" ng-switch-when="date">
							<label>{{field.name}} <i class="fa fa-info-circle"
									ng-show="field.help != null && field.help != ''"
									tooltip="{{ field.help }}"></i></label>
							<input type="text" class="form-control" ng-required="{{ field.meta.required }}"
								autocomplete="off" input-date input-date-mask="date" id="datetimepicker-date"
								ng-model="values[field.id].value" ng-disabled="!ngModel._rights.update" />
							<field-errors field="value" errors="errors[field.id].fields"></field-errors>
						</div>

						<div class="form-group{{ field.meta.required ? ' required' : '' }}" ng-switch-when="datetime">
							<label>{{field.name}} <i class="fa fa-info-circle"
									ng-show="field.help != null && field.help != ''"
									tooltip="{{ field.help }}"></i></label>
							<input type="text" class="form-control" ng-required="{{ field.meta.required }}"
								autocomplete="off" input-date input-date-mask="datetime" id="datetimepicker-datetime"
								ng-model="values[field.id].value" ng-disabled="!ngModel._rights.update" />
							<field-errors field="value" errors="errors[field.id].fields"></field-errors>
						</div>

						<div class="form-group{{ field.meta.required ? ' required' : '' }}" ng-switch-when="amount">
							<label>{{field.name}} <i class="fa fa-info-circle"
									ng-show="field.help != null && field.help != ''"
									tooltip="{{ field.help }}"></i></label>
							<div class="input-group">
								<input type="text" class="form-control" ng-required="{{ field.meta.required }}"
									autocomplete="off" input-mask="decimal" ng-model="values[field.id].value"
									ng-disabled="!ngModel._rights.update" ng-attr-placeholder="{{ field.placeholder }}" />
								<div class="input-group-addon">
									<i class="fa fa-euro"></i>
								</div>
							</div>
							<field-errors field="value" errors="errors[field.id].fields"></field-errors>
						</div>

						<div class="form-group{{ field.meta.required ? ' required' : '' }}" ng-switch-when="consent">
							<label style="display: block; margin-bottom: 10px;">
								{{field.name}}
								<i class="fa fa-info-circle" ng-show="field.help != null && field.help != ''"
									tooltip="{{ field.help }}"></i>
							</label>

							<button ng-class="{'checked': values[field.id].value === 'accepted'}"
								ng-click="consent(values[field.id], 'accepted')" class="btn btn-sm green" type="button">
								{{ values[field.id].value === 'accepted'
								? ('Confirmé le ' + ((values[field.id].updatedAt ? values[field.id].updatedAt :
								values[field.id].createdAt) | dateFormat : 'DD/MM/YYYY'))
								: 'Confirmez' }}
							</button>

							<button ng-class="{'checked': values[field.id].value === 'declined'}"
								ng-click="consent(values[field.id], 'declined')" class="btn btn-sm red" type="button">
								{{ values[field.id].value === 'declined'
								? ('Décliné le ' + ((values[field.id].updatedAt ? values[field.id].updatedAt :
								values[field.id].createdAt) | dateFormat : 'DD/MM/YYYY'))
								: 'Déclinez' }}
							</button>

							<field-errors field="value" errors="errors[field.id].fields">
							</field-errors>
						</div>
					</div>
				</div>
			</fieldset>
		</div>
	</div>
</form>